Bug 875671 - [abrt] synergy-1.3.7-5.fc17: operator delete: Process /usr/bin/synergys was killed by signal 6 (SIGABRT)
[abrt] synergy-1.3.7-5.fc17: operator delete: Process /usr/bin/synergys was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
abrt_hash:0e7736c006285e8e38326381275...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-12 05:48 EST by Vladimir Darak
Modified: 2013-07-31 18:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:12:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (3.14 KB, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: backtrace (17.72 KB, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: cgroup (128 bytes, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: smolt_data (2.76 KB, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: executable (17 bytes, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: maps (5.86 KB, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: dso_list (1.88 KB, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: proc_pid_status (785 bytes, text/plain)
2012-11-12 05:48 EST, Vladimir Darak
no flags Details
File: open_fds (478 bytes, text/plain)
2012-11-12 05:49 EST, Vladimir Darak
no flags Details
File: var_log_messages (2.27 KB, text/plain)
2012-11-12 05:49 EST, Vladimir Darak
no flags Details

  None (edit)
Description Vladimir Darak 2012-11-12 05:48:28 EST
Description of problem:
synergy server crash after start if I have connected USB mouse

Version-Release number of selected component:
synergy-1.3.7-5.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        synergys -f --config /home/vlado/.quicksynergy/synergy.conf
crash_function: operator delete
kernel:         3.6.5-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #7 operator delete at ../../../../libstdc++-v3/libsupc++/del_op.cc:48
: #8 operator delete[] at ../../../../libstdc++-v3/libsupc++/del_opv.cc:33
: #9 CXWindowsScreen::updateButtons at /usr/src/debug/synergy-1.3.7-Source/src/lib/platform/CXWindowsScreen.cpp:1861
: #10 CScreen::enable at /usr/src/debug/synergy-1.3.7-Source/src/lib/synergy/CScreen.cpp:61
: #11 CServer::CServer at /usr/src/debug/synergy-1.3.7-Source/src/lib/server/CServer.cpp:170
: #12 openServer at /usr/src/debug/synergy-1.3.7-Source/src/cmd/synergys/synergys.cpp:326
: #13 startServer at /usr/src/debug/synergy-1.3.7-Source/src/cmd/synergys/synergys.cpp:512
: #14 mainLoop at /usr/src/debug/synergy-1.3.7-Source/src/cmd/synergys/synergys.cpp:700
: #15 standardStartup at /usr/src/debug/synergy-1.3.7-Source/src/cmd/synergys/synergys.cpp:781
: #16 run at /usr/src/debug/synergy-1.3.7-Source/src/cmd/synergys/synergys.cpp:808
Comment 1 Vladimir Darak 2012-11-12 05:48:32 EST
Created attachment 643391 [details]
File: environ
Comment 2 Vladimir Darak 2012-11-12 05:48:37 EST
Created attachment 643392 [details]
File: backtrace
Comment 3 Vladimir Darak 2012-11-12 05:48:40 EST
Created attachment 643393 [details]
File: limits
Comment 4 Vladimir Darak 2012-11-12 05:48:43 EST
Created attachment 643394 [details]
File: cgroup
Comment 5 Vladimir Darak 2012-11-12 05:48:47 EST
Created attachment 643395 [details]
File: smolt_data
Comment 6 Vladimir Darak 2012-11-12 05:48:50 EST
Created attachment 643396 [details]
File: executable
Comment 7 Vladimir Darak 2012-11-12 05:48:53 EST
Created attachment 643397 [details]
File: maps
Comment 8 Vladimir Darak 2012-11-12 05:48:55 EST
Created attachment 643398 [details]
File: dso_list
Comment 9 Vladimir Darak 2012-11-12 05:48:58 EST
Created attachment 643399 [details]
File: proc_pid_status
Comment 10 Vladimir Darak 2012-11-12 05:49:01 EST
Created attachment 643400 [details]
File: open_fds
Comment 11 Vladimir Darak 2012-11-12 05:49:07 EST
Created attachment 643401 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-07-03 17:15:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-07-31 18:12:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.